<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'designer_services_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'designer-services' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'designer-services' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
		'partial_refresh'    => [
		'designer_services_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'designer-services' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
		'partial_refresh'    => [
		'designer_services_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'designer_services_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'designer-services' ),
	) );

	Kirki::add_section( 'designer_services_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'designer-services' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_all_headings_typography',
		'section'     => 'designer_services_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'designer_services_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'designer-services' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'designer-services' ),
		'section'     => 'designer_services_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_body_content_typography',
		'section'     => 'designer_services_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'designer_services_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'designer-services' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'designer-services' ),
		'section'     => 'designer_services_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'designer_services_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'designer-services' ),
	) );

	// Additional Settings

	Kirki::add_section( 'designer_services_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'designer-services' ),
	    'description'    => esc_html__( 'Scroll To Top', 'designer-services' ),
	    'panel'          => 'designer_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default'     => '1',
		'priority'    => 10,
		'partial_refresh'    => [
		'designer_services_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	new \Kirki\Field\Radio_Buttonset(
		[
			'settings'    => 'designer_services_scroll_top_position',
			'label'       => esc_html__( 'Alignment for Scroll To Top', 'designer-services' ),
			'section'     => 'designer_services_additional_settings',
			'default'     => 'Right',
			'priority'    => 10,
			'choices'     => [
				'Left'   => esc_html__( 'Left', 'designer-services' ),
				'Center' => esc_html__( 'Center', 'designer-services' ),
				'Right'  => esc_html__( 'Right', 'designer-services' ),
			],
		]
		);

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_designer_services',
		'label'       => esc_html__( 'Menus Text Transform', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'designer-services' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'designer-services' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'designer-services' ),

		],
	]
	);

		new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'None' => __('None','designer-services'),
            'Zoominn' => __('Zoom Inn','designer-services'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'designer_services_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'designer-services' ),
		'section'     => 'designer_services_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','designer-services'),
            'Right Sidebar' => __('Right Sidebar','designer-services'),
            'One Column' => __('One Column','designer-services')
		],
	] );

	// Woocommerce Settings

	if ( class_exists("woocommerce")){


	Kirki::add_section( 'designer_services_woocommerce_settings', array(
		'title'          => esc_html__( 'Woocommerce Settings', 'designer-services' ),
		'description'    => esc_html__( 'Shop Page', 'designer-services' ),
		'panel'          => 'designer_services_panel_id',
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'designer-services' ),
		'section'     => 'designer_services_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'designer-services' ),
		'section'     => 'designer_services_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'designer-services' ),
		'section'     => 'designer_services_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
		[
			'settings' => 'designer_services_per_columns',
			'label'    => esc_html__( 'Product Per Row', 'designer-services' ),
			'section'  => 'designer_services_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'designer_services_product_per_page',
			'label'    => esc_html__( 'Product Per Page', 'designer-services' ),
			'section'  => 'designer_services_woocommerce_settings',
			'default'  => 9,
			'choices'  => [
				'min'  => 1,
				'max'  => 15,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'custom_related_products_number_per_row',
			'label'    => esc_html__( 'Related Product Per Column', 'designer-services' ),
			'section'  => 'designer_services_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'custom_related_products_number',
			'label'    => esc_html__( 'Related Product Per Page', 'designer-services' ),
			'section'  => 'designer_services_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 10,
				'step' => 1,
			],
		]
	);

		new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'designer-services' ),
		'section'     => 'designer_services_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','designer-services'),
            'Right Sidebar' => __('Right Sidebar','designer-services')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'designer-services' ),
		'section'     => 'designer_services_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','designer-services'),
            'Right Sidebar' => __('Right Sidebar','designer-services')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'designer_services_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'designer-services' ),
		'section'     => 'designer_services_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'designer-services' ),
			'Center' => esc_html__( 'Center', 'designer-services' ),
			'Right'  => esc_html__( 'Right', 'designer-services' ),
		],
	]
	);

	}


	// COLOR SECTION

	Kirki::add_section( 'designer_services_section_color', array(
	    'title'          => esc_html__( 'Global Color', 'designer-services' ),
	    'description'    => esc_html__( 'Theme Color Settings', 'designer-services' ),
	    'panel'          => 'designer_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_global_colors',
		'section'     => 'designer_services_section_color',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Here you can change your theme color on one click.', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'designer_services_global_color',
		'label'       => __( 'choose your Appropriate Color', 'designer-services' ),
		'section'     => 'designer_services_section_color',
		'default'     => '#ff497b',
	] );

	// POST SECTION

	Kirki::add_section( 'designer_services_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'designer-services' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'designer-services' ),
	    'panel'          => 'designer_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_post_heading',
		'section'     => 'designer_services_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
		'partial_refresh'    => [
		'designer_services_blog_admin_enable' => [
			'selector'        => 'h3.post-title',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'designer_services_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );


	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'designer_services_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','designer-services'),
            'Right Sidebar' => __('Right Sidebar','designer-services')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','designer-services'),
            'Right Sidebar' => __('Right Sidebar','designer-services')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','designer-services'),
            'Right Sidebar' => __('Right Sidebar','designer-services')
		],
	] );

	Kirki::add_field( 'designer_services_config', [
		'type'        => 'select',
		'settings'    => 'designer_services_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'designer-services' ),
		'section'     => 'designer_services_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'designer-services' ),
				'2' => __( '2 Column', 'designer-services' ),
				'3' => __( '3 Column', 'designer-services' ),
				'4' => __( '4 Column', 'designer-services' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'designer_services_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'designer-services' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'designer-services' ),
	    'panel'          => 'designer_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_phone_number_heading',
		'section'     => 'designer_services_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Phone Number', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'designer_services_header_phone_number',
		'section'  => 'designer_services_section_header',
		'default'  => '',
		'priority' => 10,
		'sanitize_callback' => 'designer_services_sanitize_phone_number',
		'partial_refresh'    => [
		'designer_services_header_phone_number' => [
			'selector'        => '.topheader span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_email_address_heading',
		'section'     => 'designer_services_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Email Address', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'designer_services_header_email_address',
		'section'  => 'designer_services_section_header',
		'default'  => '',
		'priority' => 10,
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_search',
		'section'     => 'designer_services_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_search_box_enable',
		'section'     => 'designer_services_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_google_translator',
		'section'     => 'designer_services_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Google Translator', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_header_google_translator',
		'section'     => 'designer_services_section_header',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_socail_link',
		'section'     => 'designer_services_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'designer_services_section_header',
		'priority'    => 11,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'designer-services' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'designer-services' ),
		'settings'     => 'designer_services_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'designer-services' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'designer-services' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'designer-services' ),
				'description' => esc_html__( 'Add the social icon url here.', 'designer-services' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
		'partial_refresh'    => [
		'designer_services_social_links_settings' => [
			'selector'        => '.social-links a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'designer_services_slider_section', array(
	    'title'          => esc_html__( 'Slider Settings', 'designer-services' ),
	    'description'    => esc_html__( 'Our Slider Settings','designer-services' ),
	    'panel'          => 'designer_services_panel_id',
	    'priority'       => 160,
	) );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_heading1',
		'section'     => 'designer_services_slider_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider',  'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_slider_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'designer-services' ),
		'section'     => 'designer_services_slider_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'designer-services' ),
			'off' => esc_html__( 'Disable',  'designer-services' ),
		],
		'partial_refresh'    => [
		'designer_services_slider_box_enable' => [
			'selector'        => '.slider-content h1',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_slider_heading',
		'section'     => 'designer_services_slider_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider Section ',  'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'number',
        'settings'    => 'designer_services_slider_counter',
        'label'       => esc_html__( 'Slider Counter Section',  'designer-services' ),
        'section'     => 'designer_services_slider_section',
        'default'     => '0',
        'choices'     => [
            'min'  => 1,
            'max'  => 5,
            'step' => 1,
        ],
    ] );

    $designer_services_slider_image = get_theme_mod('designer_services_slider_counter','');
        for ( $designer_services_i = 1; $designer_services_i <= $designer_services_slider_image; $designer_services_i++ ) :

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'image',
        'settings'    => 'designer_services_slider_image'.$designer_services_i,
        'label'       => esc_html__( 'Slider Image ', 'designer-services' ).$designer_services_i,
        'description' => esc_html__( 'Image Dimension (1400 x 650)', 'designer-services' ),
        'section'     => 'designer_services_slider_section',
        'default'     => '',
    ] );

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'designer_services_slider_sub_heading' .$designer_services_i,
        'label'       => esc_html__( 'Sub Heading ', 'designer-services' ).$designer_services_i,
        'section'     => 'designer_services_slider_section',
        'default'     => '',
    ] );

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'designer_services_slider_main_heading' .$designer_services_i,
        'label'       => esc_html__( 'Main Heading ', 'designer-services' ).$designer_services_i,
        'section'     => 'designer_services_slider_section',
        'default'     => '',
    ] );

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'text',
        'settings'    => 'designer_services_slider_button_text' .$designer_services_i,
        'label'       => esc_html__( 'Button Text ', 'designer-services' ).$designer_services_i,
        'section'     => 'designer_services_slider_section',
        'default'     => '',
    ] );

    Kirki::add_field( 'theme_config_id', [
        'type'        => 'link',
        'settings'    => 'designer_services_slider_button_url' .$designer_services_i,
        'label'       => esc_html__( 'Button Url ', 'designer-services' ).$designer_services_i,
        'section'     => 'designer_services_slider_section',
        'default'     => '',
    ] );

	endfor;

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'designer-services' ),
		'section'     => 'designer_services_slider_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'designer-services' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'designer-services' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'designer-services' ),

		],
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'designer-services' ),
		'section'     => 'designer_services_slider_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'0' => esc_html__( '0', 'designer-services' ),
			'0.1' => esc_html__( '0.1', 'designer-services' ),
			'0.2' => esc_html__( '0.2', 'designer-services' ),
			'0.3' => esc_html__( '0.3', 'designer-services' ),
			'0.4' => esc_html__( '0.4', 'designer-services' ),
			'0.5' => esc_html__( '0.5', 'designer-services' ),
			'0.6' => esc_html__( '0.6', 'designer-services' ),
			'0.7' => esc_html__( '0.7', 'designer-services' ),
			'0.8' => esc_html__( '0.8', 'designer-services' ),
			'0.9' => esc_html__( '0.9', 'designer-services' ),
			'1.0' => esc_html__( '1.0', 'designer-services' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'designer-services' ),
		'section'     => 'designer_services_slider_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
	] );

	//PROJECTS SECTION

	Kirki::add_section( 'designer_services_project_section', array(
	    'title'          => esc_html__( 'Our Project Settings', 'designer-services' ),
	    'description'    => esc_html__( 'Here you can add different type of project.', 'designer-services' ),
	    'panel'          => 'designer_services_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_enable_heading',
		'section'     => 'designer_services_project_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Our Project',  'designer-services' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_projects_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'designer-services' ),
		'section'     => 'designer_services_project_section',
		'default'     => '0',
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'designer-services' ),
			'off' => esc_html__( 'Disable',  'designer-services' ),
		],
		'partial_refresh'    => [
		'designer_services_projects_section_enable' => [
			'selector'        => '.project h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_projects_text_heading',
		'section'     => 'designer_services_project_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Project', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Heading', 'designer-services' ),
		'settings' => 'designer_services_projects_heading',
		'section'  => 'designer_services_project_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'designer_services_projects_number',
		'label'       => esc_html__( 'Number of Tabs to show', 'designer-services' ),
		'section'     => 'designer_services_project_section',
		'default'     => '',
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	$designer_services_featured_post = get_theme_mod('designer_services_projects_number','');
    	for ( $designer_services_j = 1; $designer_services_j <= $designer_services_featured_post; $designer_services_j++ ) :

    	Kirki::add_field( 'theme_config_id', [
	        'type'        => 'text',
	        'settings'    => 'designer_services_projects_text' .$designer_services_j,
	        'label'       => esc_html__( 'Tab Text ', 'designer-services' ).$designer_services_j,
	        'section'     => 'designer_services_project_section',
	        'default'     => '',
	    ] );

		Kirki::add_field( 'theme_config_id', [
			'type'        => 'select',
			'settings'    => 'designer_services_projects_category'.$designer_services_j,
			'label'       => esc_html__( 'Select the category to show project ', 'designer-services' ).$designer_services_j,
			'section'     => 'designer_services_project_section',
			'default'     => '',
			'placeholder' => esc_html__( 'Select an category...', 'designer-services' ),
			'priority'    => 10,
			'choices'     => designer_services_get_categories_select(),
		] );

	endfor;

	// FOOTER SECTION

	Kirki::add_section( 'designer_services_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'designer-services' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'designer-services' ),
        'panel'          => 'designer_services_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_footer_enable_heading',
		'section'     => 'designer_services_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'designer_services_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'designer-services' ),
		'section'     => 'designer_services_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'designer-services' ),
			'off' => esc_html__( 'Disable', 'designer-services' ),
		],
		'partial_refresh'    => [
		'designer_services_copyright_enable' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_footer_text_heading',
		'section'     => 'designer_services_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'designer_services_footer_text',
		'section'  => 'designer_services_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'designer_services_footer_text_heading_2',
		'section'     => 'designer_services_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'designer-services' ) . '</h3>',
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'designer_services_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'designer-services' ),
		'section'     => 'designer_services_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'designer-services' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'designer-services' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'designer-services' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'designer-services' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'designer_services_footer_text_heading_1',
	'section'     => 'designer_services_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'designer-services' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'designer_services_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'designer-services' ),
		'section'     => 'designer_services_footer_section',
		'default'     => '',
	] );
}
